<?php

// activate full error reporting
error_reporting(E_ALL & E_STRICT);
include 'XMPPHP/XMPP.php';
$aConnections = array(
	0 => array('username' => 'test1', 'password' => 'XXX', 'instance' => null),
	1 => array('username' => 'test2', 'password' => 'XXX', 'instance' => null),
	2 => array('username' => 'test3', 'password' => 'XXX', 'instance' => null),
);
$cTarget = 'username@example.org';
$cHostname = 'example.org';

$aMessages = array(
	'Fernsehen macht die Dummen dümmer und die Klugen klüger. - Günther Jauch',
	'Das Fernsehen hat eine Macht, die größer ist als es je in der Geschichte eine Macht gegeben hat, wenn sie verwendet wird. So eine Macht kann man in einer Demokratie nicht ohne Selbstkontrolle lassen. - Karl Raimund Popper',	
	'Wenn wir so weitermachen, haben wir bald Idiotenfernsehen. - Wolfgang Menge',
	'Fernsehwerbung will in erster Linie animieren: Gefühle und Bedürfnisse wecken, um schließlich das Kauf- und Konsumverhalten des Rezipienten zu beeinflussen. - Helmut Thoma',
	'Der gesellschaftliche Werteverfall steht im engen Zusammenhang mit dem Fernsehen. - Elisabeth Noelle-Neumann',
	'Fast die Hälfte aller deutschen Fernsehprogramme - genau 47,7 Prozent - dreht sich irgendwie um Aggression und Bedrohung. Darin enthalten sind 481 Mordzenen wöchentlich und rund 70 täglich. - Angela Merkel',
	'Wir verblöden in Deutschland. Es ist eigentlich kaum zu glauben, aber die Leute sind scheinbar genauso blöd, wie´s ihnen die Privatsender vormachen. - Götz George (',
	'Reality-TV gibt vor, Wirklichkeit zu zeigen, zerteilt aber die Realität des Augenblicks in Schrecksekunden. - Walter Jens',
	'Früher gab es öffentliche Hinrichtungen, heute gibt es das Fernsehen. - Martin Scorsese',
	'Das Fernsehen ist inzwischen in beängstigendem Umfang ein Erziehungsfaktor geworden. in vielen fällen wichtiger noch als die eltern oder die schule. das erlegt den Fernsehmachern eine riesige Verantwortung auf. Aber sie sind sich dessen nicht bewußt. und sie werden auch nicht zur Verantwortung gezogen. - Helmut Schmidt',
	'Bis zum Entstehen der Privatsender war der Fernseher so eine Art Hausaltar, der in der Mitte des Wohnzimmers stand, wo sich die Familie zur Anbetung davor versammelte. Heute ist Fernsehen beiläufiger geworden mit den vielen Kanälen, auf denen man herumsurfen kann. - Helmut Thoma',
	'Nicht nur Reality-TV muß im Fernsehen verboten werden, sondern die Realität. TV ist ein Märchenmedium. - Johannes Gross',
	'Das Fernsehen bewirkt nicht nur, daß das Fernste anschaubar wird - es hält auch das Nächste auf Distanz. - Hans Maier',
	'Wenn ein Drachenflieger fernsehgerecht gegen eine Betonmauer prallt, dann ist das nicht tragisch, sondern komisch. - Harald Schmidt',
	'Das Fernsehen ist eine Prothese für die häusliche Dialogschwäche. - Werner Schneyder',
	'Das Fernsehen berieselt die Menschen, es tötet die Eigeninitiative. Warum sollen die Leute große Phantasie in ihrer Freizeit entwickeln, wenn sie nur auf den Knopf zu drücken brauchen? - Alfred Biolek',
	'Wir sind Opfer von Plastik, Werbung und Glotze. Aber keiner spricht von den Schrecken des Kapitalismus. - Norman Mailer',
	'Man muß Tabus brechen, Neuigkeiten ausprobieren, ein erfrischend anderes Programm machen - und auch erschreckend anders, wenn sich die Sehgewohnheiten des TV-Volkes ansonsten nicht beeinflussen lassen. - Helmut Thoma',
	'Fernsehen ist ein Goliath, der all das gnadenlos angreift, wofür das Buch steht. - Neil Postman',
	'Das Fernsehen wurde erfunden, um den Analphabeten einen guten Grund zum Brillentragen zu geben. - Gabriel Laub',
	'Qualität und Quote schließen sich im Fernsehen nicht gegenseitig aus. - Dieter Stolte',
	'Gütiger Himmel, das Fernsehen ist etwas, in dem man auftritt, und nicht etwas, das man sich ansieht. - Noël Coward',
	'Selig sind, die da immer nur fernsehen wollen, angstfrei sind, die wissen, daß Bilder nicht beißen, wunschlos glücklich sind, denen auf Knopfdruck die ganze Welt vor Augen erscheint. - Bazon Brock (',
	'Es ist wunderbar, daß man im Fernsehen seine Defekte ausleben kann und dafür auch noch bezahlt wird. - Harald Schmidt',
	'Am zuverlässigsten unterscheiden sich die einzelnen Fernsehprogramme noch immer durch den Wetterbericht. - Woody Allen',
	'Jeder Säugling sollte sich so früh wie möglich mit einem Fernsehgerät beschäftigen, denn später hat er ja auch nichts anderes. - Vicco von Bülow',
	'Fernsehen besteht immer auch aus Voyeurismus. Man kann zynisch sagen, Reality-TV ist das unsägliche Glück, bei einem Unglück dabeizusein. - Helmut Thoma',
	'Besser kann Fernsehen nicht sein als beim Tennis. - Martin Walser',	
);

$nAnzahlMessages = sizeof($aMessages) -1;

foreach($aConnections as $nInstance => $aConnection) {
	
	try {		
		$aConnection['instance'] = new XMPPHP_XMPP($cHostname, 5222, $aConnection['username'], $aConnection['password'], 'xmpphp', NULL, $printlog=false, $loglevel=XMPPHP_Log::LEVEL_VERBOSE);		
		$aConnection['instance']->connect();
		$aConnection['instance']->useEncryption(true);
		$aConnection['instance']->processUntil('session_start');
		$aConnection['instance']->presence();
		
		$aConnection['instance']->message($cTarget, '--- Start: ' . date('Y-m-d H:i:s') . ' ---');
		#sleep(1);
		
		for($i=1; $i <= 10; $i++) {
			$cMessage = $aMessages[rand(1, $nAnzahlMessages)];
			echo $nInstance . '::' . $i . '::' . $cMessage . "\n";
			$aConnection['instance']->message($cTarget, $i . '::' . $cMessage);
		}		
				
		#sleep(1);		
		$aConnection['instance']->message($cTarget, '--- Ende: ' . date('Y-m-d H:i:s') . ' ---');
		$aConnection['instance']->disconnect();		
		
	} catch(XMPPHP_Exception $e) {
		die($e->getMessage());
	}
}